using System;
using System.Collections.Generic;
using System.Xml;

namespace ZionSchematics.Models
{
    [Serializable]
    public class Header
    {
        public List<Field> Elements { get; set; }

        public Header()
        {
            this.Elements = new List<Field>();
        }

        public XmlElement Save(XmlDocument context)
        {
            XmlElement header = context.CreateElement(@"header");

            foreach (Field field in this.Elements)
                header.AppendChild(field.Save(context));


            return header;
        }
    }
}
